Index: trunk/tools/nc_var_tools.py
===================================================================
--- trunk/tools/nc_var_tools.py	(revision 294)
+++ trunk/tools/nc_var_tools.py	(revision 295)
@@ -543,4 +543,62 @@
         varvals = ['wss', 'air_velocity',  0., 30., 'surface|horizontal|wind|speed', \
           'ms-1', 'Reds']
+
+    elif varn == 'wbacpw' or varn == 'WBACPW':
+        varvals = ['wbacpw', 'water_budget_ac_pw',  0., 30.,                         \
+          'Water|Budget|accumulated|water|content', 'mm', 'Reds']
+    elif varn == 'wbacf' or varn == 'WBACF':
+        varvals = ['wbacf', 'water_budget_ac_hfcqv',  0., 30.,                       \
+          'Water|Budget|accumulated|horizontal|convergence|of|water|vapour|(+,|' +   \
+          'conv.;|-,|div.)', 'mm', 'Reds']
+    elif varn == 'wbacfc' or varn == 'WBACFC':
+        varvals = ['wbacfc', 'water_budget_ac_fc',  0., 30.,                         \
+          'Water|Budget|accumulated|horizontal|convergence|of|cloud|(+,|conv.;|-,|' +\
+          'div.)', 'mm', 'Reds']
+    elif varn == 'wbacfp' or varn == 'WBACFP':
+        varvals = ['wbacfp', 'water_budget_ac_cfp',  0., 30.,                        \
+          'Water|Budget|accumulated|horizontal|convergence|of|precipitation|(+,|' +  \
+          'conv.;|-,|div.)', 'mm', 'Reds']
+    elif varn == 'wbacz' or varn == 'WBACZ':
+        varvals = ['wbacz', 'water_budget_ac_z',  0., 30.,                           \
+          'Water|Budget|accumulated|vertical|convergence|of|water|vapour|(+,|conv.' +\
+          ';|-,|div.)', 'mm', 'Reds']
+    elif varn == 'wbacc' or varn == 'WBACC':
+        varvals = ['wbacc', 'water_budget_ac_c',  0., 30.,                           \
+          'Water|Budget|accumulated|Cloud|water|species','mm', 'Reds']
+    elif varn == 'wbacqvd' or varn == 'WBACQVD':
+        varvals = ['wbacqvd', 'water_budget_ac_qvd',  0., 30.,                       \
+          'Water|Budget|accumulated|water|vapour|divergence', 'mm', 'Reds']
+    elif varn == 'wbacqvblten' or varn == 'WBACQVBLTEN':
+        varvals = ['wbacqvblten', 'water_budget_ac_qv_blten',  0., 30.,              \
+          'Water|Budget|accumulated|QV|tendency|due|to|pbl|parameterization',        \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbacqvcuten' or varn == 'WBACQVCUTEN':
+        varvals = ['wbacqvcuten', 'water_budget_ac_qv_cuten',  0., 30.,              \
+          'Water|Budget|accumulated|QV|tendency|due|to|cu|parameterization',         \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbacqvshten' or varn == 'WBACQVSHTEN':
+        varvals = ['wbacqvshten', 'water_budget_ac_qv_shten',  0., 30.,              \
+          'Water|Budget|accumulated|QV|tendency|due|to|shallow|cu|parameterization', \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbacpr' or varn == 'WBACP':
+        varvals = ['wbacpr', 'water_budget_ac_pr',  0., 30.,                         \
+          'Water|Budget|accumulated|precipitation', 'mm', 'Reds']
+    elif varn == 'wbacpw' or varn == 'WBACPW':
+        varvals = ['wbacpw', 'water_budget_ac_pw',  0., 30.,                         \
+          'Water|Budget|accumulated water content', 'mm', 'Reds']
+    elif varn == 'wbaccondt' or varn == 'WBACCONDT':
+        varvals = ['wbaccondt', 'water_budget_ac_condt',  0., 30.,                   \
+          'Water|Budget|accumulated|condensation|and|deposition', 'mm', 'Reds']
+    elif varn == 'wbacqcm' or varn == 'WBACQCM':
+        varvals = ['wbacqcm', 'water_budget_ac_qcm',  0., 30.,                       \
+          'Water|Budget|accumulated|hydrometeor|change|and|convergence', 'mm', 'Reds']
+    elif varn == 'wbacsi' or varn == 'WBACSI':
+        varvals = ['wbacsi', 'water_budget_ac_si',  0., 30.,                         \
+          'Water|Budget|accumulated|hydrometeor|sink', 'mm', 'Reds']
+    elif varn == 'wbacso' or varn == 'WBACSO':
+        varvals = ['wbacso', 'water_budget_ac_so',  0., 30.,                         \
+          'Water|Budget|accumulated|hydrometeor|source', 'mms-1', 'Reds']
+
+
     elif varn == 'xtime' or varn == 'XTIME':
         varvals = ['xtime', 'time',  0., 1.e5, 'time',                               \