Index: trunk/tools/nc_var_tools.py
===================================================================
--- trunk/tools/nc_var_tools.py	(revision 296)
+++ trunk/tools/nc_var_tools.py	(revision 297)
@@ -543,5 +543,61 @@
         varvals = ['wss', 'air_velocity',  0., 30., 'surface|horizontal|wind|speed', \
           'ms-1', 'Reds']
-
+# Water budget de-accumulated
+    elif varn == 'wbpw' or varn == 'WBPW':
+        varvals = ['wbpw', 'water_budget_pw',  0., 30.,                         \
+          'Water|Budget|water|content', 'mms-1', 'Reds']
+    elif varn == 'wbf' or varn == 'WBACF':
+        varvals = ['wbf', 'water_budget_hfcqv',  0., 30.,                       \
+          'Water|Budget|horizontal|convergence|of|water|vapour|(+,|' +   \
+          'conv.;|-,|div.)', 'mms-1', 'Reds']
+    elif varn == 'wbfc' or varn == 'WBFC':
+        varvals = ['wbfc', 'water_budget_fc',  0., 30.,                         \
+          'Water|Budget|horizontal|convergence|of|cloud|(+,|conv.;|-,|' +\
+          'div.)', 'mms-1', 'Reds']
+    elif varn == 'wbfp' or varn == 'WBFP':
+        varvals = ['wbfp', 'water_budget_cfp',  0., 30.,                        \
+          'Water|Budget|horizontal|convergence|of|precipitation|(+,|' +  \
+          'conv.;|-,|div.)', 'mms-1', 'Reds']
+    elif varn == 'wbz' or varn == 'WBZ':
+        varvals = ['wbz', 'water_budget_z',  0., 30.,                           \
+          'Water|Budget|vertical|convergence|of|water|vapour|(+,|conv.' +\
+          ';|-,|div.)', 'mms-1', 'Reds']
+    elif varn == 'wbc' or varn == 'WBC':
+        varvals = ['wbc', 'water_budget_c',  0., 30.,                           \
+          'Water|Budget|Cloud|water|species','mms-1', 'Reds']
+    elif varn == 'wbqvd' or varn == 'WBQVD':
+        varvals = ['wbqvd', 'water_budget_qvd',  0., 30.,                       \
+          'Water|Budget|water|vapour|divergence', 'mms-1', 'Reds']
+    elif varn == 'wbqvblten' or varn == 'WBQVBLTEN':
+        varvals = ['wbqvblten', 'water_budget_qv_blten',  0., 30.,              \
+          'Water|Budget|QV|tendency|due|to|pbl|parameterization',        \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbqvcuten' or varn == 'WBQVCUTEN':
+        varvals = ['wbqvcuten', 'water_budget_qv_cuten',  0., 30.,              \
+          'Water|Budget|QV|tendency|due|to|cu|parameterization',         \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbqvshten' or varn == 'WBQVSHTEN':
+        varvals = ['wbqvshten', 'water_budget_qv_shten',  0., 30.,              \
+          'Water|Budget|QV|tendency|due|to|shallow|cu|parameterization', \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbpr' or varn == 'WBP':
+        varvals = ['wbpr', 'water_budget_pr',  0., 30.,                         \
+          'Water|Budget|recipitation', 'mms-1', 'Reds']
+    elif varn == 'wbpw' or varn == 'WBPW':
+        varvals = ['wbpw', 'water_budget_pw',  0., 30.,                         \
+          'Water|Budget|water|content', 'mms-1', 'Reds']
+    elif varn == 'wbcondt' or varn == 'WBCONDT':
+        varvals = ['wbcondt', 'water_budget_condt',  0., 30.,                   \
+          'Water|Budget|condensation|and|deposition', 'mms-1', 'Reds']
+    elif varn == 'wbqcm' or varn == 'WBQCM':
+        varvals = ['wbqcm', 'water_budget_qcm',  0., 30.,                       \
+          'Water|Budget|hydrometeor|change|and|convergence', 'mms-1', 'Reds']
+    elif varn == 'wbsi' or varn == 'WBSI':
+        varvals = ['wbsi', 'water_budget_si',  0., 30.,                         \
+          'Water|Budget|hydrometeor|sink', 'mms-1', 'Reds']
+    elif varn == 'wbso' or varn == 'WBSO':
+        varvals = ['wbso', 'water_budget_so',  0., 30.,                         \
+          'Water|Budget|hydrometeor|source', 'mms-1', 'Reds']
+# Water Budget accumulated
     elif varn == 'wbacpw' or varn == 'WBACPW':
         varvals = ['wbacpw', 'water_budget_ac_pw',  0., 30.,                         \
@@ -586,5 +642,5 @@
     elif varn == 'wbacpw' or varn == 'WBACPW':
         varvals = ['wbacpw', 'water_budget_ac_pw',  0., 30.,                         \
-          'Water|Budget|accumulated water content', 'mm', 'Reds']
+          'Water|Budget|accumulated|water|content', 'mm', 'Reds']
     elif varn == 'wbaccondt' or varn == 'WBACCONDT':
         varvals = ['wbaccondt', 'water_budget_ac_condt',  0., 30.,                   \
@@ -598,6 +654,5 @@
     elif varn == 'wbacso' or varn == 'WBACSO':
         varvals = ['wbacso', 'water_budget_ac_so',  0., 30.,                         \
-          'Water|Budget|accumulated|hydrometeor|source', 'mms-1', 'Reds']
-
+          'Water|Budget|accumulated|hydrometeor|source', 'mm', 'Reds']
 
     elif varn == 'xtime' or varn == 'XTIME':