Index: trunk/tools/nc_var_tools.py
===================================================================
--- trunk/tools/nc_var_tools.py	(revision 313)
+++ trunk/tools/nc_var_tools.py	(revision 314)
@@ -553,127 +553,127 @@
 # Water budget
 # Water budget de-accumulated
-    elif varn == 'ccond' or varn == 'CCOND':
+    elif varn == 'ccond' or varn == 'CCOND' or varn == 'CCONDde':
         varvals = ['ccond', 'cw_cond',  0., 30.,                                     \
           'accumulated|cloud|water|condensation', 'mm', 'Reds']
-    elif varn == 'diabh' or varn == 'DIABH':
+    elif varn == 'diabh' or varn == 'DIABH' or varn == 'DIABHde':
         varvals = ['diabh', 'diabh',  0., 30., 'diabatic|heating', 'K', 'Reds']
-    elif varn == 'wbpw' or varn == 'WBPW':
+    elif varn == 'wbpw' or varn == 'WBPW' or varn == 'WBPWde':
         varvals = ['wbpw', 'water_budget_pw',  0., 30., 'Water|Budget|water|content',\
            'mms-1', 'Reds']
-    elif varn == 'wbf' or varn == 'WBACF':
+    elif varn == 'wbf' or varn == 'WBACF' or varn == 'WBACF':
         varvals = ['wbf', 'water_budget_hfcqv',  0., 30.,                       \
           'Water|Budget|horizontal|convergence|of|water|vapour|(+,|' +   \
           'conv.;|-,|div.)', 'mms-1', 'Reds']
-    elif varn == 'wbfc' or varn == 'WBFC':
+    elif varn == 'wbfc' or varn == 'WBFC' or varn == 'WBFCde':
         varvals = ['wbfc', 'water_budget_fc',  0., 30.,                         \
           'Water|Budget|horizontal|convergence|of|cloud|(+,|conv.;|-,|' +\
           'div.)', 'mms-1', 'Reds']
-    elif varn == 'wbfp' or varn == 'WBFP':
+    elif varn == 'wbfp' or varn == 'WBFP' or varn == 'WBFPde':
         varvals = ['wbfp', 'water_budget_cfp',  0., 30.,                        \
           'Water|Budget|horizontal|convergence|of|precipitation|(+,|' +  \
           'conv.;|-,|div.)', 'mms-1', 'Reds']
-    elif varn == 'wbz' or varn == 'WBZ':
+    elif varn == 'wbz' or varn == 'WBZ' or varn == 'WBZde':
         varvals = ['wbz', 'water_budget_z',  0., 30.,                           \
           'Water|Budget|vertical|convergence|of|water|vapour|(+,|conv.' +\
           ';|-,|div.)', 'mms-1', 'Reds']
-    elif varn == 'wbc' or varn == 'WBC':
+    elif varn == 'wbc' or varn == 'WBC' or varn == 'WBCde':
         varvals = ['wbc', 'water_budget_c',  0., 30.,                           \
           'Water|Budget|Cloud|water|species','mms-1', 'Reds']
-    elif varn == 'wbqvd' or varn == 'WBQVD':
+    elif varn == 'wbqvd' or varn == 'WBQVD' or varn == 'WBQVDde':
         varvals = ['wbqvd', 'water_budget_qvd',  0., 30.,                       \
           'Water|Budget|water|vapour|divergence', 'mms-1', 'Reds']
-    elif varn == 'wbqvblten' or varn == 'WBQVBLTEN':
+    elif varn == 'wbqvblten' or varn == 'WBQVBLTEN' or varn == 'WBQVBLTENde':
         varvals = ['wbqvblten', 'water_budget_qv_blten',  0., 30.,              \
           'Water|Budget|QV|tendency|due|to|pbl|parameterization',        \
           'kg kg-1 s-1', 'Reds']
-    elif varn == 'wbqvcuten' or varn == 'WBQVCUTEN':
+    elif varn == 'wbqvcuten' or varn == 'WBQVCUTEN' or varn == 'WBQVCUTENde':
         varvals = ['wbqvcuten', 'water_budget_qv_cuten',  0., 30.,              \
           'Water|Budget|QV|tendency|due|to|cu|parameterization',         \
           'kg kg-1 s-1', 'Reds']
-    elif varn == 'wbqvshten' or varn == 'WBQVSHTEN':
+    elif varn == 'wbqvshten' or varn == 'WBQVSHTEN' or varn == 'WBQVSHTENde':
         varvals = ['wbqvshten', 'water_budget_qv_shten',  0., 30.,              \
           'Water|Budget|QV|tendency|due|to|shallow|cu|parameterization', \
           'kg kg-1 s-1', 'Reds']
-    elif varn == 'wbpr' or varn == 'WBP':
+    elif varn == 'wbpr' or varn == 'WBP' or varn == 'WBPde':
         varvals = ['wbpr', 'water_budget_pr',  0., 30.,                         \
           'Water|Budget|recipitation', 'mms-1', 'Reds']
-    elif varn == 'wbpw' or varn == 'WBPW':
+    elif varn == 'wbpw' or varn == 'WBPW' or varn == 'WBPWde':
         varvals = ['wbpw', 'water_budget_pw',  0., 30.,                         \
           'Water|Budget|water|content', 'mms-1', 'Reds']
-    elif varn == 'wbcondt' or varn == 'WBCONDT':
+    elif varn == 'wbcondt' or varn == 'WBCONDT' or varn == 'WBCONDTde':
         varvals = ['wbcondt', 'water_budget_condt',  0., 30.,                   \
           'Water|Budget|condensation|and|deposition', 'mms-1', 'Reds']
-    elif varn == 'wbqcm' or varn == 'WBQCM':
+    elif varn == 'wbqcm' or varn == 'WBQCM' or varn == 'WBQCMde':
         varvals = ['wbqcm', 'water_budget_qcm',  0., 30.,                       \
           'Water|Budget|hydrometeor|change|and|convergence', 'mms-1', 'Reds']
-    elif varn == 'wbsi' or varn == 'WBSI':
+    elif varn == 'wbsi' or varn == 'WBSI' or varn == 'WBSIde':
         varvals = ['wbsi', 'water_budget_si',  0., 30.,                         \
           'Water|Budget|hydrometeor|sink', 'mms-1', 'Reds']
-    elif varn == 'wbso' or varn == 'WBSO':
+    elif varn == 'wbso' or varn == 'WBSO' or varn == 'WBSOde':
         varvals = ['wbso', 'water_budget_so',  0., 30.,                         \
           'Water|Budget|hydrometeor|source', 'mms-1', 'Reds']
 # Water Budget accumulated
-    elif varn == 'acccond' or varn == 'ACCCOND':
-        varvals = ['acccond', 'ac_cw_cond',  0., 30.,                                \
+    elif varn == 'ccondac' or varn == 'ACCCOND':
+        varvals = ['ccondac', 'cw_cond_ac',  0., 30.,                                \
           'accumulated|cloud|water|condensation', 'mm', 'Reds']
-    elif varn == 'acr' or varn == 'ACQVAPOR':
-        varvals = ['acr', 'ac_r',  0., 30., 'accumualted|water|wapor', 'mm', 'Blues']
-    elif varn == 'acdiabh' or varn == 'ACDIABH':
-        varvals = ['acdiabh', 'ac_diabh',  0., 30., 'accumualted|diabatic|heating',  \
+    elif varn == 'rac' or varn == 'ACQVAPOR':
+        varvals = ['rac', 'ac_r',  0., 30., 'accumualted|water|wapor', 'mm', 'Blues']
+    elif varn == 'diabhac' or varn == 'ACDIABH':
+        varvals = ['diabhac', 'diabh_ac',  0., 30., 'accumualted|diabatic|heating',  \
           'K', 'Reds']
-    elif varn == 'wbacpw' or varn == 'WBACPW':
-        varvals = ['wbacpw', 'water_budget_ac_pw',  0., 30.,                         \
+    elif varn == 'wbpwac' or varn == 'WBACPW':
+        varvals = ['wbpwac', 'water_budget_pw_ac',  0., 30.,                         \
           'Water|Budget|accumulated|water|content', 'mm', 'Reds']
-    elif varn == 'wbacf' or varn == 'WBACF':
-        varvals = ['wbacf', 'water_budget_ac_hfcqv',  0., 30.,                       \
+    elif varn == 'wbfac' or varn == 'WBACF':
+        varvals = ['wbfac', 'water_budget_hfcqv_ac',  0., 30.,                       \
           'Water|Budget|accumulated|horizontal|convergence|of|water|vapour|(+,|' +   \
           'conv.;|-,|div.)', 'mm', 'Reds']
-    elif varn == 'wbacfc' or varn == 'WBACFC':
-        varvals = ['wbacfc', 'water_budget_ac_fc',  0., 30.,                         \
+    elif varn == 'wbfcac' or varn == 'WBACFC':
+        varvals = ['wbfcac', 'water_budget_fc_ac',  0., 30.,                         \
           'Water|Budget|accumulated|horizontal|convergence|of|cloud|(+,|conv.;|-,|' +\
           'div.)', 'mm', 'Reds']
-    elif varn == 'wbacfp' or varn == 'WBACFP':
-        varvals = ['wbacfp', 'water_budget_ac_cfp',  0., 30.,                        \
+    elif varn == 'wbfpac' or varn == 'WBACFP':
+        varvals = ['wbfpac', 'water_budget_cfp_ac',  0., 30.,                        \
           'Water|Budget|accumulated|horizontal|convergence|of|precipitation|(+,|' +  \
           'conv.;|-,|div.)', 'mm', 'Reds']
-    elif varn == 'wbacz' or varn == 'WBACZ':
-        varvals = ['wbacz', 'water_budget_ac_z',  0., 30.,                           \
+    elif varn == 'wbzac' or varn == 'WBACZ':
+        varvals = ['wbzac', 'water_budget_z_ac',  0., 30.,                           \
           'Water|Budget|accumulated|vertical|convergence|of|water|vapour|(+,|conv.' +\
           ';|-,|div.)', 'mm', 'Reds']
-    elif varn == 'wbacc' or varn == 'WBACC':
-        varvals = ['wbacc', 'water_budget_ac_c',  0., 30.,                           \
+    elif varn == 'wbcac' or varn == 'WBACC':
+        varvals = ['wbcac', 'water_budget_c_ac',  0., 30.,                           \
           'Water|Budget|accumulated|Cloud|water|species','mm', 'Reds']
-    elif varn == 'wbacqvd' or varn == 'WBACQVD':
-        varvals = ['wbacqvd', 'water_budget_ac_qvd',  0., 30.,                       \
+    elif varn == 'wbqvdac' or varn == 'WBACQVD':
+        varvals = ['wbqvdac', 'water_budget_qvd_ac',  0., 30.,                       \
           'Water|Budget|accumulated|water|vapour|divergence', 'mm', 'Reds']
-    elif varn == 'wbacqvblten' or varn == 'WBACQVBLTEN':
-        varvals = ['wbacqvblten', 'water_budget_ac_qv_blten',  0., 30.,              \
+    elif varn == 'wbqvbltenac' or varn == 'WBACQVBLTEN':
+        varvals = ['wbqvbltenac', 'water_budget_qv_blten_ac',  0., 30.,              \
           'Water|Budget|accumulated|QV|tendency|due|to|pbl|parameterization',        \
           'kg kg-1 s-1', 'Reds']
-    elif varn == 'wbacqvcuten' or varn == 'WBACQVCUTEN':
-        varvals = ['wbacqvcuten', 'water_budget_ac_qv_cuten',  0., 30.,              \
+    elif varn == 'wbqvcutenac' or varn == 'WBACQVCUTEN':
+        varvals = ['wbqvcutenac', 'water_budget_qv_cuten_ac',  0., 30.,              \
           'Water|Budget|accumulated|QV|tendency|due|to|cu|parameterization',         \
           'kg kg-1 s-1', 'Reds']
-    elif varn == 'wbacqvshten' or varn == 'WBACQVSHTEN':
-        varvals = ['wbacqvshten', 'water_budget_ac_qv_shten',  0., 30.,              \
+    elif varn == 'wbqvshtenac' or varn == 'WBACQVSHTEN':
+        varvals = ['wbqvshtenac', 'water_budget_qv_shten_ac',  0., 30.,              \
           'Water|Budget|accumulated|QV|tendency|due|to|shallow|cu|parameterization', \
           'kg kg-1 s-1', 'Reds']
-    elif varn == 'wbacpr' or varn == 'WBACP':
-        varvals = ['wbacpr', 'water_budget_ac_pr',  0., 30.,                         \
+    elif varn == 'wbprac' or varn == 'WBACP':
+        varvals = ['wbprac', 'water_budget_pr_ac',  0., 30.,                         \
           'Water|Budget|accumulated|precipitation', 'mm', 'Reds']
-    elif varn == 'wbacpw' or varn == 'WBACPW':
-        varvals = ['wbacpw', 'water_budget_ac_pw',  0., 30.,                         \
+    elif varn == 'wbpwac' or varn == 'WBACPW':
+        varvals = ['wbpwac', 'water_budget_pw_ac',  0., 30.,                         \
           'Water|Budget|accumulated|water|content', 'mm', 'Reds']
-    elif varn == 'wbaccondt' or varn == 'WBACCONDT':
-        varvals = ['wbaccondt', 'water_budget_ac_condt',  0., 30.,                   \
+    elif varn == 'wbcondtac' or varn == 'WBACCONDT':
+        varvals = ['wbcondtac', 'water_budget_condt_ac',  0., 30.,                   \
           'Water|Budget|accumulated|condensation|and|deposition', 'mm', 'Reds']
-    elif varn == 'wbacqcm' or varn == 'WBACQCM':
-        varvals = ['wbacqcm', 'water_budget_ac_qcm',  0., 30.,                       \
+    elif varn == 'wbqcmac' or varn == 'WBACQCM':
+        varvals = ['wbqcmac', 'water_budget_qcm_ac',  0., 30.,                       \
           'Water|Budget|accumulated|hydrometeor|change|and|convergence', 'mm', 'Reds']
-    elif varn == 'wbacsi' or varn == 'WBACSI':
-        varvals = ['wbacsi', 'water_budget_ac_si',  0., 30.,                         \
+    elif varn == 'wbsiac' or varn == 'WBACSI':
+        varvals = ['wbsiac', 'water_budget_si_ac',  0., 30.,                         \
           'Water|Budget|accumulated|hydrometeor|sink', 'mm', 'Reds']
-    elif varn == 'wbacso' or varn == 'WBACSO':
-        varvals = ['wbacso', 'water_budget_ac_so',  0., 30.,                         \
+    elif varn == 'wbsoac' or varn == 'WBACSO':
+        varvals = ['wbsoac', 'water_budget_so_ac',  0., 30.,                         \
           'Water|Budget|accumulated|hydrometeor|source', 'mm', 'Reds']
 