Index: /trunk/tools/nc_var_tools.py
===================================================================
--- /trunk/tools/nc_var_tools.py	(revision 314)
+++ /trunk/tools/nc_var_tools.py	(revision 315)
@@ -2619,8 +2619,7 @@
     self.lastTm: last time value as matrix (from datetime; [Y], [M], [D], [H], [M], [S])
     """
-
-    import datetime as dt 
-
     def  __init__(self, ncfu, tname):
+        import datetime as dt 
+        fname = 'cls_time_information'
 
         if ncfu is None:
@@ -2648,5 +2647,5 @@
             if not searchInlist(attvar, 'units'):
                 print warnmsg
-                print '    cls_time_information: time variable "' + tname +          \
+                print '    ' + fname + ': time variable "' + tname +                 \
                   '" does not have attribute: "units"'
                 units = None
@@ -2668,4 +2667,44 @@
                     self.lastTS = None
                     self.lastTm = None
+                elif len(times.shape) == 2:
+                    if times.dimensions[1] == 'DateStrLen' and times.shape[1] == 19:
+                        print warnmsg
+                        print '  ' + fname + ": WRF 'Times' variable !!"
+                        self.unitsval = 'seconds since 1949-12-01 00:00:00'
+                        self.units = 'seconds'
+                        self.calendar = 'standard'
+                        self.Urefdate = '1949-12-01 00:00:00'
+                        self.Srefdate = '19491201000000'
+                        self.refdate = datetimeStr_datetime('1949-12-01_00:00:00')
+                        self.dimt = times.shape[0]
+                        self.firstTS = datetimeStr_conversion(times[0,:],            \
+                          'WRFdatetime', 'YmdHMS')
+                        self.firstTm = datetimeStr_conversion(times[0,:],            \
+                          'WRFdatetime', 'YmdHMS')
+                        self.lastTS = datetimeStr_conversion(times[self.dimt-1,:],   \
+                          'WRFdatetime', 'YmdHMS') 
+                        self.lastTm = datetimeStr_conversion(times[self.dimt-1,:],   \
+                          'WRFdatetime', 'matYmdHMS')
+
+                        secondTS = datetimeStr_conversion(times[1,:], 'WRFdatetime', \
+                          'YmdHMS')
+                        secondTt = dt.datetime.strptime(secondTS, '%Y%m%d%H%M%S')
+                        self.firstTt = dt.datetime.strptime(self.firstTS,            \
+                          '%Y%m%d%H%M%S')
+                        self.lastTu = None
+                        self.lastTt = dt.datetime.strptime(self.lastTS,              \
+                          '%Y%m%d%H%M%S')
+
+                        difft = self.firstTt - secondTt
+                        self.dt = difft.days/(3600.*24.) + difft.seconds +           \
+                          difft.microseconds/10.e6
+
+                        difft = self.firstTt - self.refdate
+                        self.firstTu = difft.days/(3600.*24.) + difft.seconds +      \
+                          difft.microseconds/10.e6
+                        difft = self.lastTt - self.refdate
+                        self.lastTu = difft.days/(3600.*24.) + difft.seconds +       \
+                          difft.microseconds/10.e6
+
                 else:
                     self.dimt = None
@@ -13531,11 +13570,14 @@
                 newvar = onc.variables[vn + 'de']
 
-            newvar[:] = deaccum
+            if timeinf.dt is not None:
+                newvar[:] = deaccum / timeinf.dt
+            else:
+                newvar[:] = deaccum
 
             newattr = set_attribute(newvar, 'deaccumulated', 'True')
             if timeinf.dt is not None:
-                print timeinf.dt
                 newattr = set_attributek(newvar, 'time_step_diff', timeinf.dt,       \
                   'npfloat')
+                newattr = set_attribute(newvar, 'values', 'divided by time_step_diff')
 
             for attrn in varinf.attributes: