Index: /trunk/tools/nc_var_tools.py
===================================================================
--- /trunk/tools/nc_var_tools.py	(revision 316)
+++ /trunk/tools/nc_var_tools.py	(revision 317)
@@ -558,34 +558,34 @@
     elif varn == 'diabh' or varn == 'DIABH' or varn == 'DIABHde':
         varvals = ['diabh', 'diabh',  0., 30., 'diabatic|heating', 'K', 'Reds']
-    elif varn == 'wbpw' or varn == 'WBPW' or varn == 'WBPWde':
+    elif varn == 'wbpw' or varn == 'WBPW' or varn == 'WBACPWde':
         varvals = ['wbpw', 'water_budget_pw',  0., 30., 'Water|Budget|water|content',\
            'mms-1', 'Reds']
-    elif varn == 'wbf' or varn == 'WBACF' or varn == 'WBACF':
+    elif varn == 'wbf' or varn == 'WBACF' or varn == 'WBACFde':
         varvals = ['wbf', 'water_budget_hfcqv',  0., 30.,                       \
           'Water|Budget|horizontal|convergence|of|water|vapour|(+,|' +   \
           'conv.;|-,|div.)', 'mms-1', 'Reds']
-    elif varn == 'wbfc' or varn == 'WBFC' or varn == 'WBFCde':
+    elif varn == 'wbfc' or varn == 'WBFC' or varn == 'WBACFCde':
         varvals = ['wbfc', 'water_budget_fc',  0., 30.,                         \
           'Water|Budget|horizontal|convergence|of|cloud|(+,|conv.;|-,|' +\
           'div.)', 'mms-1', 'Reds']
-    elif varn == 'wbfp' or varn == 'WBFP' or varn == 'WBFPde':
+    elif varn == 'wbfp' or varn == 'WBFP' or varn == 'WBACFPde':
         varvals = ['wbfp', 'water_budget_cfp',  0., 30.,                        \
           'Water|Budget|horizontal|convergence|of|precipitation|(+,|' +  \
           'conv.;|-,|div.)', 'mms-1', 'Reds']
-    elif varn == 'wbz' or varn == 'WBZ' or varn == 'WBZde':
+    elif varn == 'wbz' or varn == 'WBZ' or varn == 'WBACZde':
         varvals = ['wbz', 'water_budget_z',  0., 30.,                           \
           'Water|Budget|vertical|convergence|of|water|vapour|(+,|conv.' +\
           ';|-,|div.)', 'mms-1', 'Reds']
-    elif varn == 'wbc' or varn == 'WBC' or varn == 'WBCde':
+    elif varn == 'wbc' or varn == 'WBC' or varn == 'WBACCde':
         varvals = ['wbc', 'water_budget_c',  0., 30.,                           \
           'Water|Budget|Cloud|water|species','mms-1', 'Reds']
-    elif varn == 'wbqvd' or varn == 'WBQVD' or varn == 'WBQVDde':
+    elif varn == 'wbqvd' or varn == 'WBQVD' or varn == 'WBACQVDde':
         varvals = ['wbqvd', 'water_budget_qvd',  0., 30.,                       \
           'Water|Budget|water|vapour|divergence', 'mms-1', 'Reds']
-    elif varn == 'wbqvblten' or varn == 'WBQVBLTEN' or varn == 'WBQVBLTENde':
+    elif varn == 'wbqvblten' or varn == 'WBQVBLTEN' or varn == 'WBACQVBLTENde':
         varvals = ['wbqvblten', 'water_budget_qv_blten',  0., 30.,              \
           'Water|Budget|QV|tendency|due|to|pbl|parameterization',        \
           'kg kg-1 s-1', 'Reds']
-    elif varn == 'wbqvcuten' or varn == 'WBQVCUTEN' or varn == 'WBQVCUTENde':
+    elif varn == 'wbqvcuten' or varn == 'WBQVCUTEN' or varn == 'WBACQVCUTENde':
         varvals = ['wbqvcuten', 'water_budget_qv_cuten',  0., 30.,              \
           'Water|Budget|QV|tendency|due|to|cu|parameterization',         \
@@ -595,20 +595,20 @@
           'Water|Budget|QV|tendency|due|to|shallow|cu|parameterization', \
           'kg kg-1 s-1', 'Reds']
-    elif varn == 'wbpr' or varn == 'WBP' or varn == 'WBPde':
+    elif varn == 'wbpr' or varn == 'WBP' or varn == 'WBACPde':
         varvals = ['wbpr', 'water_budget_pr',  0., 30.,                         \
           'Water|Budget|recipitation', 'mms-1', 'Reds']
-    elif varn == 'wbpw' or varn == 'WBPW' or varn == 'WBPWde':
+    elif varn == 'wbpw' or varn == 'WBPW' or varn == 'WBACPWde':
         varvals = ['wbpw', 'water_budget_pw',  0., 30.,                         \
           'Water|Budget|water|content', 'mms-1', 'Reds']
-    elif varn == 'wbcondt' or varn == 'WBCONDT' or varn == 'WBCONDTde':
+    elif varn == 'wbcondt' or varn == 'WBCONDT' or varn == 'WBACCONDTde':
         varvals = ['wbcondt', 'water_budget_condt',  0., 30.,                   \
           'Water|Budget|condensation|and|deposition', 'mms-1', 'Reds']
-    elif varn == 'wbqcm' or varn == 'WBQCM' or varn == 'WBQCMde':
+    elif varn == 'wbqcm' or varn == 'WBQCM' or varn == 'WBACQCMde':
         varvals = ['wbqcm', 'water_budget_qcm',  0., 30.,                       \
           'Water|Budget|hydrometeor|change|and|convergence', 'mms-1', 'Reds']
-    elif varn == 'wbsi' or varn == 'WBSI' or varn == 'WBSIde':
+    elif varn == 'wbsi' or varn == 'WBSI' or varn == 'WBACSIde':
         varvals = ['wbsi', 'water_budget_si',  0., 30.,                         \
           'Water|Budget|hydrometeor|sink', 'mms-1', 'Reds']
-    elif varn == 'wbso' or varn == 'WBSO' or varn == 'WBSOde':
+    elif varn == 'wbso' or varn == 'WBSO' or varn == 'WBACSOde':
         varvals = ['wbso', 'water_budget_so',  0., 30.,                         \
           'Water|Budget|hydrometeor|source', 'mms-1', 'Reds']