Index: /trunk/tools/drawing_tools.py
===================================================================
--- /trunk/tools/drawing_tools.py	(revision 326)
+++ /trunk/tools/drawing_tools.py	(revision 327)
@@ -717,5 +717,5 @@
 
 # Variable name might come with a statistical surname...
-    stats=['min','max','mean','stdv']
+    stats=['min','max','mean','stdv', 'sum']
 
     ifst = False
@@ -740,4 +740,10 @@
         varvals = ['ath', 'total_thermal_plume_cover', 0., 1.,                       \
         'total|column|thermal|plume|cover', '1', 'YlGnBu']
+    elif varn == 'acprc' or varn == 'RAINC':
+        varvals = ['acprc', 'accumulated_cmulus_precipitation', 0., 3.e4,            \
+          'accumulated|cmulus|precipitation', 'mm', 'Blues']
+    elif varn == 'acprnc' or varn == 'RAINNC':
+        varvals = ['acprnc', 'accumulated_non-cmulus_precipitation', 0., 3.e4,       \
+          'accumulated|non-cmulus|precipitation', 'mm', 'Blues']
     elif varn == 'bils' or varn == 'LBILS':
         varvals = ['bils', 'surface_total_heat_flux', -100., 100.,                   \
@@ -891,12 +897,18 @@
          3.e-3, 'convective|northward|wind|tendency', 'ms-2', 'seismic']
     elif varn == 'dvdyn' or varn == 'LDVDYN':
-        varvals = ['dvdyn', 'dynamics_northward_wind_tendency', -3.e-3,    \
+        varvals = ['dvdyn', 'dynamics_northward_wind_tendency', -3.e-3,              \
          3.e-3, 'dynamics|difussion|northward|wind|tendency', 'ms-2', 'seismic']
     elif varn == 'dvvdf' or varn == 'LDVVDF':
         varvals = ['dvvdf', 'vertical_difussion_northward_wind_tendency', -3.e-3,    \
          3.e-3, 'vertical|difussion|northward|wind|tendency', 'ms-2', 'seismic']
-    elif varn == 'evspsbl' or varn == 'LEVAP' or varn == 'evap':
+    elif varn == 'etau' or varn == 'ZNU':
+        varvals = ['etau', 'etau', 0., 1, 'eta values on half (mass) levels', '-',   \
+        'reds']
+    elif varn == 'evspsbl' or varn == 'LEVAP' or varn == 'evap' or varn == 'SFCEVPde':
         varvals = ['evspsbl', 'water_evaporation_flux', 0., 1.5e-4,                  \
           'water|evaporation|flux', 'kgm-2s-1', 'Blues']
+    elif varn == 'evspsbl' or varn == 'SFCEVPde':
+        varvals = ['evspsblac', 'water_evaporation_flux_ac', 0., 1.5e-4,             \
+          'accumulated|water|evaporation|flux', 'kgm-2', 'Blues']
     elif varn == 'g' or varn == 'QGRAUPEL':
         varvals = ['g', 'grauepl_mixing_ratio', 0., 0.0003, 'graupel|mixing|ratio',  \
@@ -973,5 +985,6 @@
         varvals = ['pracc', 'precipitation_amount', 0., 100.,                        \
           'accumulated|precipitation', 'kgm-2', 'BuPu']
-    elif varn == 'prc' or varn == 'LPLUC' or varn == 'pluc' or varn == 'WRFprc':
+    elif varn == 'prc' or varn == 'LPLUC' or varn == 'pluc' or varn == 'WRFprc' or   \
+      varn == 'RAINCde':
         varvals = ['prc', 'convective_precipitation_flux', 0., 2.e-4,                \
           'convective|precipitation|flux', 'kgm-2s-1', 'Blues']
@@ -986,5 +999,6 @@
         varvals = ['pres', 'air_pressure', 0., 103000., 'air|pressure', 'Pa',        \
           'Blues']
-    elif varn == 'prls' or varn == 'WRFprls' or varn == 'LPLUL' or varn == 'plul':
+    elif varn == 'prls' or varn == 'WRFprls' or varn == 'LPLUL' or varn == 'plul' or \
+       varn == 'RAINNCde':
         varvals = ['prls', 'large_scale_precipitation_flux', 0., 2.e-4,              \
           'large|scale|precipitation|flux', 'kgm-2s-1', 'Blues']
@@ -1007,4 +1021,7 @@
         varvals = ['r', 'water_mixing_ratio', 0., 0.03, 'water|mixing|ratio',        \
           'kgkg-1', 'BuPu']
+    elif varn == 'r2' or varn == 'Q2':
+        varvals = ['r2', 'water_mixing_ratio_at_2m', 0., 0.03, 'water|mixing|' +     \
+          'ratio|at|2|m','kgkg-1', 'BuPu']
     elif varn == 'rsds' or varn == 'SWdnSFC' or varn == 'SWdn at surface' or         \
       varn == 'SWDOWN':
@@ -1091,4 +1108,133 @@
         varvals = ['wss', 'air_velocity',  0., 30., 'surface|horizontal|wind|speed', \
           'ms-1', 'Reds']
+# Water budget
+# Water budget de-accumulated
+    elif varn == 'ccond' or varn == 'CCOND' or varn == 'ACCCONDde':
+        varvals = ['ccond', 'cw_cond',  0., 30.,                                     \
+          'cloud|water|condensation', 'mm', 'Reds']
+    elif varn == 'wbr' or varn == 'ACQVAPORde':
+        varvals = ['wbr', 'wbr',  0., 30., 'Water|Budget|water|wapor', 'mm', 'Blues']
+    elif varn == 'diabh' or varn == 'DIABH' or varn == 'ACDIABHde':
+        varvals = ['diabh', 'diabh',  0., 30., 'diabatic|heating', 'K', 'Reds']
+    elif varn == 'wbpw' or varn == 'WBPW' or varn == 'WBACPWde':
+        varvals = ['wbpw', 'water_budget_pw',  0., 30., 'Water|Budget|water|content',\
+           'mms-1', 'Reds']
+    elif varn == 'wbf' or varn == 'WBACF' or varn == 'WBACFde':
+        varvals = ['wbf', 'water_budget_hfcqv',  0., 30.,                       \
+          'Water|Budget|horizontal|convergence|of|water|vapour|(+,|' +   \
+          'conv.;|-,|div.)', 'mms-1', 'Reds']
+    elif varn == 'wbfc' or varn == 'WBFC' or varn == 'WBACFCde':
+        varvals = ['wbfc', 'water_budget_fc',  0., 30.,                         \
+          'Water|Budget|horizontal|convergence|of|cloud|(+,|conv.;|-,|' +\
+          'div.)', 'mms-1', 'Reds']
+    elif varn == 'wbfp' or varn == 'WBFP' or varn == 'WBACFPde':
+        varvals = ['wbfp', 'water_budget_cfp',  0., 30.,                        \
+          'Water|Budget|horizontal|convergence|of|precipitation|(+,|' +  \
+          'conv.;|-,|div.)', 'mms-1', 'Reds']
+    elif varn == 'wbz' or varn == 'WBZ' or varn == 'WBACZde':
+        varvals = ['wbz', 'water_budget_z',  0., 30.,                           \
+          'Water|Budget|vertical|convergence|of|water|vapour|(+,|conv.' +\
+          ';|-,|div.)', 'mms-1', 'Reds']
+    elif varn == 'wbc' or varn == 'WBC' or varn == 'WBACCde':
+        varvals = ['wbc', 'water_budget_c',  0., 30.,                           \
+          'Water|Budget|Cloud|water|species','mms-1', 'Reds']
+    elif varn == 'wbqvd' or varn == 'WBQVD' or varn == 'WBACQVDde':
+        varvals = ['wbqvd', 'water_budget_qvd',  0., 30.,                       \
+          'Water|Budget|water|vapour|divergence', 'mms-1', 'Reds']
+    elif varn == 'wbqvblten' or varn == 'WBQVBLTEN' or varn == 'WBACQVBLTENde':
+        varvals = ['wbqvblten', 'water_budget_qv_blten',  0., 30.,              \
+          'Water|Budget|QV|tendency|due|to|pbl|parameterization',        \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbqvcuten' or varn == 'WBQVCUTEN' or varn == 'WBACQVCUTENde':
+        varvals = ['wbqvcuten', 'water_budget_qv_cuten',  0., 30.,              \
+          'Water|Budget|QV|tendency|due|to|cu|parameterization',         \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbqvshten' or varn == 'WBQVSHTEN' or varn == 'WBACQVSHTENde':
+        varvals = ['wbqvshten', 'water_budget_qv_shten',  0., 30.,              \
+          'Water|Budget|QV|tendency|due|to|shallow|cu|parameterization', \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbpr' or varn == 'WBP' or varn == 'WBACPde':
+        varvals = ['wbpr', 'water_budget_pr',  0., 30.,                         \
+          'Water|Budget|recipitation', 'mms-1', 'Reds']
+    elif varn == 'wbpw' or varn == 'WBPW' or varn == 'WBACPWde':
+        varvals = ['wbpw', 'water_budget_pw',  0., 30.,                         \
+          'Water|Budget|water|content', 'mms-1', 'Reds']
+    elif varn == 'wbcondt' or varn == 'WBCONDT' or varn == 'WBACCONDTde':
+        varvals = ['wbcondt', 'water_budget_condt',  0., 30.,                   \
+          'Water|Budget|condensation|and|deposition', 'mms-1', 'Reds']
+    elif varn == 'wbqcm' or varn == 'WBQCM' or varn == 'WBACQCMde':
+        varvals = ['wbqcm', 'water_budget_qcm',  0., 30.,                       \
+          'Water|Budget|hydrometeor|change|and|convergence', 'mms-1', 'Reds']
+    elif varn == 'wbsi' or varn == 'WBSI' or varn == 'WBACSIde':
+        varvals = ['wbsi', 'water_budget_si',  0., 30.,                         \
+          'Water|Budget|hydrometeor|sink', 'mms-1', 'Reds']
+    elif varn == 'wbso' or varn == 'WBSO' or varn == 'WBACSOde':
+        varvals = ['wbso', 'water_budget_so',  0., 30.,                         \
+          'Water|Budget|hydrometeor|source', 'mms-1', 'Reds']
+# Water Budget accumulated
+    elif varn == 'ccondac' or varn == 'ACCCOND':
+        varvals = ['ccondac', 'cw_cond_ac',  0., 30.,                                \
+          'accumulated|cloud|water|condensation', 'mm', 'Reds']
+    elif varn == 'rac' or varn == 'ACQVAPOR':
+        varvals = ['rac', 'ac_r',  0., 30., 'accumualted|water|wapor', 'mm', 'Blues']
+    elif varn == 'diabhac' or varn == 'ACDIABH':
+        varvals = ['diabhac', 'diabh_ac',  0., 30., 'accumualted|diabatic|heating',  \
+          'K', 'Reds']
+    elif varn == 'wbpwac' or varn == 'WBACPW':
+        varvals = ['wbpwac', 'water_budget_pw_ac',  0., 30.,                         \
+          'Water|Budget|accumulated|water|content', 'mm', 'Reds']
+    elif varn == 'wbfac' or varn == 'WBACF':
+        varvals = ['wbfac', 'water_budget_hfcqv_ac',  0., 30.,                       \
+          'Water|Budget|accumulated|horizontal|convergence|of|water|vapour|(+,|' +   \
+          'conv.;|-,|div.)', 'mm', 'Reds']
+    elif varn == 'wbfcac' or varn == 'WBACFC':
+        varvals = ['wbfcac', 'water_budget_fc_ac',  0., 30.,                         \
+          'Water|Budget|accumulated|horizontal|convergence|of|cloud|(+,|conv.;|-,|' +\
+          'div.)', 'mm', 'Reds']
+    elif varn == 'wbfpac' or varn == 'WBACFP':
+        varvals = ['wbfpac', 'water_budget_cfp_ac',  0., 30.,                        \
+          'Water|Budget|accumulated|horizontal|convergence|of|precipitation|(+,|' +  \
+          'conv.;|-,|div.)', 'mm', 'Reds']
+    elif varn == 'wbzac' or varn == 'WBACZ':
+        varvals = ['wbzac', 'water_budget_z_ac',  0., 30.,                           \
+          'Water|Budget|accumulated|vertical|convergence|of|water|vapour|(+,|conv.' +\
+          ';|-,|div.)', 'mm', 'Reds']
+    elif varn == 'wbcac' or varn == 'WBACC':
+        varvals = ['wbcac', 'water_budget_c_ac',  0., 30.,                           \
+          'Water|Budget|accumulated|Cloud|water|species','mm', 'Reds']
+    elif varn == 'wbqvdac' or varn == 'WBACQVD':
+        varvals = ['wbqvdac', 'water_budget_qvd_ac',  0., 30.,                       \
+          'Water|Budget|accumulated|water|vapour|divergence', 'mm', 'Reds']
+    elif varn == 'wbqvbltenac' or varn == 'WBACQVBLTEN':
+        varvals = ['wbqvbltenac', 'water_budget_qv_blten_ac',  0., 30.,              \
+          'Water|Budget|accumulated|QV|tendency|due|to|pbl|parameterization',        \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbqvcutenac' or varn == 'WBACQVCUTEN':
+        varvals = ['wbqvcutenac', 'water_budget_qv_cuten_ac',  0., 30.,              \
+          'Water|Budget|accumulated|QV|tendency|due|to|cu|parameterization',         \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbqvshtenac' or varn == 'WBACQVSHTEN':
+        varvals = ['wbqvshtenac', 'water_budget_qv_shten_ac',  0., 30.,              \
+          'Water|Budget|accumulated|QV|tendency|due|to|shallow|cu|parameterization', \
+          'kg kg-1 s-1', 'Reds']
+    elif varn == 'wbprac' or varn == 'WBACP':
+        varvals = ['wbprac', 'water_budget_pr_ac',  0., 30.,                         \
+          'Water|Budget|accumulated|precipitation', 'mm', 'Reds']
+    elif varn == 'wbpwac' or varn == 'WBACPW':
+        varvals = ['wbpwac', 'water_budget_pw_ac',  0., 30.,                         \
+          'Water|Budget|accumulated|water|content', 'mm', 'Reds']
+    elif varn == 'wbcondtac' or varn == 'WBACCONDT':
+        varvals = ['wbcondtac', 'water_budget_condt_ac',  0., 30.,                   \
+          'Water|Budget|accumulated|condensation|and|deposition', 'mm', 'Reds']
+    elif varn == 'wbqcmac' or varn == 'WBACQCM':
+        varvals = ['wbqcmac', 'water_budget_qcm_ac',  0., 30.,                       \
+          'Water|Budget|accumulated|hydrometeor|change|and|convergence', 'mm', 'Reds']
+    elif varn == 'wbsiac' or varn == 'WBACSI':
+        varvals = ['wbsiac', 'water_budget_si_ac',  0., 30.,                         \
+          'Water|Budget|accumulated|hydrometeor|sink', 'mm', 'Reds']
+    elif varn == 'wbsoac' or varn == 'WBACSO':
+        varvals = ['wbsoac', 'water_budget_so_ac',  0., 30.,                         \
+          'Water|Budget|accumulated|hydrometeor|source', 'mm', 'Reds']
+
     elif varn == 'xtime' or varn == 'XTIME':
         varvals = ['xtime', 'time',  0., 1.e5, 'time',                               \
@@ -1112,9 +1258,8 @@
     else:
         print errormsg
-        print '  ' + fname + ': variable ' + varn + ' not defined !!!'
+        print '  ' + fname + ": variable '" + varn + "' not defined !!!"
         quit(-1)
 
     return varvals
-
 
 #######    #######    #######    #######    #######    #######    #######    #######    #######    #######