Index: trunk/tools/variables_values.dat
===================================================================
--- trunk/tools/variables_values.dat	(revision 355)
+++ trunk/tools/variables_values.dat	(revision 356)
@@ -208,110 +208,113 @@
 pr_lsc_i, 'prprofli', 'precipitation_profile_large_scale_i', 0., 1.e-3, 'precipitation|profile|large|scale|i', 'kg/m2/s', 'BuPu'
 LPR_LSC_I, 'prprofli', 'precipitation_profile_large_scale_i', 0., 1.e-3, 'precipitation|profile|large|scale|i', 'kg/m2/s', 'BuPu'
-    elif varn == 'prprofll' or varn == 'pr_lsc_l' or varn == 'LPR_LSC_L':
-        varvals = ['prprofll', 'precipitation_profile_large_scale_l', 0., 1.e-3,     \
-          'precipitation|profile|large|scale|l', 'kg/m2/s', 'BuPu']
-    elif varn == 'pracc' or varn == 'ACRAINTOT':
-        varvals = ['pracc', 'precipitation_amount', 0., 100.,                        \
-          'accumulated|precipitation', 'kgm-2', 'BuPu']
-    elif varn == 'prc' or varn == 'LPLUC' or varn == 'pluc' or varn == 'WRFprc' or   \
-      varn == 'RAINCde':
-        varvals = ['prc', 'convective_precipitation_flux', 0., 2.e-4,                \
-          'convective|precipitation|flux', 'kgm-2s-1', 'Blues']
-    elif varn == 'prci' or varn == 'pr_con_i' or varn == 'LPR_CON_I':
-        varvals = ['prci', 'convective_ice_precipitation_flux', 0., 0.003,           \
-          'convective|ice|precipitation|flux', 'kgm-2s-1', 'Purples']
-    elif varn == 'prcl' or varn == 'pr_con_l' or varn == 'LPR_CON_L':
-        varvals = ['prcl', 'convective_liquid_precipitation_flux', 0., 0.003,        \
-          'convective|liquid|precipitation|flux', 'kgm-2s-1', 'Blues']
-    elif varn == 'pres' or varn == 'presnivs' or varn == 'pressure' or               \
-      varn == 'lpres' or varn == 'LPRES':
-        varvals = ['pres', 'air_pressure', 0., 103000., 'air|pressure', 'Pa',        \
-          'Blues']
-    elif varn == 'prls' or varn == 'WRFprls' or varn == 'LPLUL' or varn == 'plul' or \
-       varn == 'RAINNCde':
-        varvals = ['prls', 'large_scale_precipitation_flux', 0., 2.e-4,              \
-          'large|scale|precipitation|flux', 'kgm-2s-1', 'Blues']
-    elif varn == 'prsn' or varn == 'SNOW' or varn == 'snow' or varn == 'LSNOW':
-        varvals = ['prsn', 'snowfall', 0., 1.e-4, 'snowfall|flux', 'kgm-2s-1', 'BuPu']
-    elif varn == 'prw' or varn == 'WRFprh':
-        varvals = ['prw', 'atmosphere_water_vapor_content', 0., 10.,                 \
-          'water|vapor"path', 'kgm-2', 'Blues']
-    elif varn == 'ps' or varn == 'psfc' or varn =='PSFC' or varn == 'psol' or        \
-      varn == 'Surface Pressure':
-        varvals=['ps', 'surface_air_pressure', 85000., 105400., 'surface|pressure',  \
-          'hPa', 'cool']
-    elif varn == 'psl' or varn == 'mslp' or varn =='WRFmslp':
-        varvals=['psl', 'air_pressure_at_sea_level', 85000., 104000.,                \
-          'mean|sea|level|pressure', 'Pa', 'Greens']
-    elif varn == 'qth' or varn == 'q_th' or varn == 'LQ_TH':
-        varvals = ['qth', 'thermal_plume_total_water_content', 0., 25.,              \
-          'total|water|cotent|in|thermal|plume', 'mm', 'YlOrRd']
-    elif varn == 'r' or varn == 'QVAPOR' or varn == 'ovap' or varn == 'LOVAP':
-        varvals = ['r', 'water_mixing_ratio', 0., 0.03, 'water|mixing|ratio',        \
-          'kgkg-1', 'BuPu']
-    elif varn == 'r2' or varn == 'Q2':
-        varvals = ['r2', 'water_mixing_ratio_at_2m', 0., 0.03, 'water|mixing|' +     \
-          'ratio|at|2|m','kgkg-1', 'BuPu']
-    elif varn == 'rsds' or varn == 'SWdnSFC' or varn == 'SWdn at surface' or         \
-      varn == 'SWDOWN':
-        varvals=['rsds', 'surface_downwelling_shortwave_flux_in_air',  0., 1200.,    \
-          'downward|SW|surface|radiation', 'Wm-2' ,'Reds']
-    elif varn == 'rsdsacc':
-        varvals=['rsdsacc', 'accumulated_surface_downwelling_shortwave_flux_in_air', \
-          0., 1200., 'accumulated|downward|SW|surface|radiation', 'Wm-2' ,'Reds']
-    elif varn == 'rvor' or varn == 'WRFrvor':
-        varvals = ['rvor', 'air_relative_vorticity', -2.5E-3, 2.5E-3,                \
-          'air|relative|vorticity', 's-1', 'seismic']
-    elif varn == 'rvors' or varn == 'WRFrvors':
-        varvals = ['rvors', 'surface_air_relative_vorticity', -2.5E-3, 2.5E-3,       \
-          'surface|air|relative|vorticity', 's-1', 'seismic']
-    elif varn == 's' or varn == 'QSNOW':
-        varvals = ['s', 'snow_mixing_ratio', 0., 0.0003, 'snow|mixing|ratio',        \
-          'kgkg-1', 'Purples']
-    elif varn == 'stherm' or varn == 'LS_THERM':
-        varvals = ['stherm', 'thermals_excess', 0., 0.8, 'thermals|excess', 'K',     \
-          'Reds']
-    elif varn == 'ta' or varn == 'WRFt' or varn == 'temp' or varn == 'LTEMP' or      \
-      varn == 'Air temperature':
-        varvals = ['ta', 'air_temperature', 195., 320., 'air|temperature', 'K',      \
-          'YlOrRd']
-    elif varn == 'tah' or varn == 'theta' or varn == 'LTHETA':
-        varvals = ['tah', 'potential_air_temperature', 195., 320.,                   \
-          'potential|air|temperature', 'K', 'YlOrRd']
-    elif varn == 'tas' or varn == 'T2' or varn == 't2m' or varn == 'T2M' or          \
-      varn == 'Temperature 2m':
-        varvals = ['tas', 'air_temperature', 240., 310., 'air|temperature|at|2m', '  \
-          K', 'YlOrRd']
-    elif varn == 'tds' or varn == 'TH2':
-        varvals = ['tds', 'air_dew_point_temperature', 240., 310.,                   \
-          'air|dew|point|temperature|at|2m', 'K', 'YlGnBu']
-    elif varn == 'tke' or varn == 'TKE' or varn == 'tke' or varn == 'LTKE':
-        varvals = ['tke', 'turbulent_kinetic_energy', 0., 0.003,                     \
-          'turbulent|kinetic|energy', 'm2/s2', 'Reds']
-    elif varn == 'time'or varn == 'time_counter':
-        varvals = ['time', 'time', 0., 1000., 'time',                                \
-          'hours|since|1949/12/01|00:00:00', 'Reds']
-    elif varn == 'tmla' or varn == 's_pblt' or varn == 'LS_PBLT':
-        varvals = ['tmla', 'atmosphere_top_boundary_layer_temperature', 250., 330.,  \
-          'atmosphere|top|boundary|layer|temperature', 'K', 'Reds']
-    elif varn == 'ua' or varn == 'vitu' or varn == 'U' or varn == 'Zonal wind' or    \
-      varn == 'LVITU':
-        varvals = ['ua', 'eastward_wind', -30., 30., 'eastward|wind', 'ms-1',        \
-          'seismic']
-    elif varn == 'uas' or varn == 'u10m' or varn == 'U10' or varn =='Vent zonal 10m':
-        varvals = ['uas', 'eastward_wind', -30., 30., 'eastward|2m|wind',    \
-          'ms-1', 'seismic']
-    elif varn == 'va' or varn == 'vitv' or varn == 'V' or varn == 'Meridional wind'  \
-      or varn == 'LVITV':
-        varvals = ['va', 'northward_wind', -30., 30., 'northward|wind', 'ms-1',      \
-          'seismic']
-    elif varn == 'vas' or varn == 'v10m' or varn == 'V10' or                         \
-      varn =='Vent meridien 10m':
-        varvals = ['vas', 'northward_wind', -30., 30., 'northward|2m|wind', 'ms-1',  \
-          'seismic']
-    elif varn == 'wakedeltaq' or varn == 'wake_deltaq' or varn == 'lwake_deltaq' or  \
-      varn == 'LWAKE_DELTAQ':
-        varvals = ['wakedeltaq', 'wake_delta_vapor', -0.003, 0.003,                  \
-          'wake|delta|mixing|ratio', '-', 'seismic']
+prprofll, 'prprofll', 'precipitation_profile_large_scale_l', 0., 1.e-3, 'precipitation|profile|large|scale|l', 'kg/m2/s', 'BuPu'
+pr_lsc_l, 'prprofll', 'precipitation_profile_large_scale_l', 0., 1.e-3, 'precipitation|profile|large|scale|l', 'kg/m2/s', 'BuPu'
+LPR_LSC_L, 'prprofll', 'precipitation_profile_large_scale_l', 0., 1.e-3, 'precipitation|profile|large|scale|l', 'kg/m2/s', 'BuPu'
+pracc, 'pracc', 'precipitation_amount', 0., 100., 'accumulated|precipitation', 'kgm-2', 'BuPu'
+ACRAINTOT, 'pracc', 'precipitation_amount', 0., 100., 'accumulated|precipitation', 'kgm-2', 'BuPu'
+prc, 'prc', 'convective_precipitation_flux', 0., 2.e-4, 'convective|precipitation|flux', 'kgm-2s-1', 'Blues'
+LPLUC, 'prc', 'convective_precipitation_flux', 0., 2.e-4, 'convective|precipitation|flux', 'kgm-2s-1', 'Blues'
+pluc, 'prc', 'convective_precipitation_flux', 0., 2.e-4, 'convective|precipitation|flux', 'kgm-2s-1', 'Blues'
+WRFprc, 'prc', 'convective_precipitation_flux', 0., 2.e-4, 'convective|precipitation|flux', 'kgm-2s-1', 'Blues'
+RAINCde, 'prc', 'convective_precipitation_flux', 0., 2.e-4, 'convective|precipitation|flux', 'kgm-2s-1', 'Blues'
+prci, 'prci', 'convective_ice_precipitation_flux', 0., 0.003, 'convective|ice|precipitation|flux', 'kgm-2s-1', 'Purples'
+pr_con_i, 'prci', 'convective_ice_precipitation_flux', 0., 0.003, 'convective|ice|precipitation|flux', 'kgm-2s-1', 'Purples'
+LPR_CON_I, 'prci', 'convective_ice_precipitation_flux', 0., 0.003, 'convective|ice|precipitation|flux', 'kgm-2s-1', 'Purples'
+prcl, 'prcl', 'convective_liquid_precipitation_flux', 0., 0.003, 'convective|liquid|precipitation|flux', 'kgm-2s-1', 'Blues'
+pr_con_l, 'prcl', 'convective_liquid_precipitation_flux', 0., 0.003, 'convective|liquid|precipitation|flux', 'kgm-2s-1', 'Blues'
+LPR_CON_L, 'prcl', 'convective_liquid_precipitation_flux', 0., 0.003, 'convective|liquid|precipitation|flux', 'kgm-2s-1', 'Blues'
+pres, 'pres', 'air_pressure', 0., 103000., 'air|pressure', 'Pa', 'Blues'
+presnivs, 'pres', 'air_pressure', 0., 103000., 'air|pressure', 'Pa', 'Blues'
+pressure, 'pres', 'air_pressure', 0., 103000., 'air|pressure', 'Pa', 'Blues'
+lpres, 'pres', 'air_pressure', 0., 103000., 'air|pressure', 'Pa', 'Blues'
+LPRES, 'pres', 'air_pressure', 0., 103000., 'air|pressure', 'Pa', 'Blues'
+prls, 'prls', 'large_scale_precipitation_flux', 0., 2.e-4, 'large|scale|precipitation|flux', 'kgm-2s-1', 'Blues'
+WRFprls, 'prls', 'large_scale_precipitation_flux', 0., 2.e-4, 'large|scale|precipitation|flux', 'kgm-2s-1', 'Blues'
+LPLUL, 'prls', 'large_scale_precipitation_flux', 0., 2.e-4, 'large|scale|precipitation|flux', 'kgm-2s-1', 'Blues'
+plul, 'prls', 'large_scale_precipitation_flux', 0., 2.e-4, 'large|scale|precipitation|flux', 'kgm-2s-1', 'Blues'
+RAINNCde, 'prls', 'large_scale_precipitation_flux', 0., 2.e-4, 'large|scale|precipitation|flux', 'kgm-2s-1', 'Blues'
+prsn, 'prsn', 'snowfall', 0., 1.e-4, 'snowfall|flux', 'kgm-2s-1', 'BuPu'
+SNOW, 'prsn', 'snowfall', 0., 1.e-4, 'snowfall|flux', 'kgm-2s-1', 'BuPu'
+snow, 'prsn', 'snowfall', 0., 1.e-4, 'snowfall|flux', 'kgm-2s-1', 'BuPu'
+LSNOW, 'prsn', 'snowfall', 0., 1.e-4, 'snowfall|flux', 'kgm-2s-1', 'BuPu'
+prw, 'prw', 'atmosphere_water_vapor_content', 0., 10., 'water|vapor"path', 'kgm-2', 'Blues'
+WRFprh, 'prw', 'atmosphere_water_vapor_content', 0., 10., 'water|vapor"path', 'kgm-2', 'Blues'
+ps, 'ps', 'surface_air_pressure', 85000., 105400., 'surface|pressure', 'hPa', 'cool'
+psfc, 'ps', 'surface_air_pressure', 85000., 105400., 'surface|pressure', 'hPa', 'cool'
+PSFC, 'ps', 'surface_air_pressure', 85000., 105400., 'surface|pressure', 'hPa', 'cool'
+psol, 'ps', 'surface_air_pressure', 85000., 105400., 'surface|pressure', 'hPa', 'cool'
+Surface Pressure, 'ps', 'surface_air_pressure', 85000., 105400., 'surface|pressure', 'hPa', 'cool'
+psl, 'psl', 'air_pressure_at_sea_level', 85000., 104000., 'mean|sea|level|pressure', 'Pa', 'Greens'
+mslp, 'psl', 'air_pressure_at_sea_level', 85000., 104000., 'mean|sea|level|pressure', 'Pa', 'Greens'
+WRFmslp, 'psl', 'air_pressure_at_sea_level', 85000., 104000., 'mean|sea|level|pressure', 'Pa', 'Greens'
+qth, 'qth', 'thermal_plume_total_water_content', 0., 25., 'total|water|cotent|in|thermal|plume', 'mm', 'YlOrRd'
+q_th, 'qth', 'thermal_plume_total_water_content', 0., 25., 'total|water|cotent|in|thermal|plume', 'mm', 'YlOrRd'
+LQ_TH, 'qth', 'thermal_plume_total_water_content', 0., 25., 'total|water|cotent|in|thermal|plume', 'mm', 'YlOrRd'
+r, 'r', 'water_mixing_ratio', 0., 0.03, 'water|mixing|ratio', 'kgkg-1', 'BuPu'
+QVAPOR, 'r', 'water_mixing_ratio', 0., 0.03, 'water|mixing|ratio', 'kgkg-1', 'BuPu'
+ovap, 'r', 'water_mixing_ratio', 0., 0.03, 'water|mixing|ratio', 'kgkg-1', 'BuPu'
+LOVAP, 'r', 'water_mixing_ratio', 0., 0.03, 'water|mixing|ratio', 'kgkg-1', 'BuPu'
+r2, 'r2', 'water_mixing_ratio_at_2m', 0., 0.03, 'water|mixing|ratio|at|2|m','kgkg-1', 'BuPu'
+Q2, 'r2', 'water_mixing_ratio_at_2m', 0., 0.03, 'water|mixing|ratio|at|2|m','kgkg-1', 'BuPu'
+rsds, 'rsds', 'surface_downwelling_shortwave_flux_in_air',  0., 1200., 'downward|SW|surface|radiation', 'Wm-2' ,'Reds'
+SWdnSFC, 'rsds', 'surface_downwelling_shortwave_flux_in_air',  0., 1200., 'downward|SW|surface|radiation', 'Wm-2' ,'Reds'
+SWdn at surface, 'rsds', 'surface_downwelling_shortwave_flux_in_air',  0., 1200., 'downward|SW|surface|radiation', 'Wm-2' ,'Reds'
+SWDOWN, 'rsds', 'surface_downwelling_shortwave_flux_in_air',  0., 1200., 'downward|SW|surface|radiation', 'Wm-2' ,'Reds'
+rsdsacc, 'rsdsacc', 'accumulated_surface_downwelling_shortwave_flux_in_air', 0., 1200., 'accumulated|downward|SW|surface|radiation', 'Wm-2' ,'Reds'
+rvor, 'rvor', 'air_relative_vorticity', -2.5E-3, 2.5E-3, 'air|relative|vorticity', 's-1', 'seismic'
+WRFrvor, 'rvor', 'air_relative_vorticity', -2.5E-3, 2.5E-3, 'air|relative|vorticity', 's-1', 'seismic'
+rvors, 'rvors', 'surface_air_relative_vorticity', -2.5E-3, 2.5E-3, 'surface|air|relative|vorticity', 's-1', 'seismic'
+WRFrvors, 'rvors', 'surface_air_relative_vorticity', -2.5E-3, 2.5E-3, 'surface|air|relative|vorticity', 's-1', 'seismic'
+s, 's', 'snow_mixing_ratio', 0., 0.0003, 'snow|mixing|ratio', 'kgkg-1', 'Purples'
+QSNOW, 's', 'snow_mixing_ratio', 0., 0.0003, 'snow|mixing|ratio', 'kgkg-1', 'Purples'
+stherm, 'stherm', 'thermals_excess', 0., 0.8, 'thermals|excess', 'K', 'Reds'
+LS_THERM, 'stherm', 'thermals_excess', 0., 0.8, 'thermals|excess', 'K', 'Reds'
+ta, 'ta', 'air_temperature', 195., 320., 'air|temperature', 'K', 'YlOrRd'
+WRFt, 'ta', 'air_temperature', 195., 320., 'air|temperature', 'K', 'YlOrRd'
+temp, 'ta', 'air_temperature', 195., 320., 'air|temperature', 'K', 'YlOrRd'
+LTEMP, 'ta', 'air_temperature', 195., 320., 'air|temperature', 'K', 'YlOrRd'
+Air temperature, 'ta', 'air_temperature', 195., 320., 'air|temperature', 'K', 'YlOrRd'
+tah, 'tah', 'potential_air_temperature', 195., 320., 'potential|air|temperature', 'K', 'YlOrRd'
+theta, 'tah', 'potential_air_temperature', 195., 320., 'potential|air|temperature', 'K', 'YlOrRd'
+LTHETA, 'tah', 'potential_air_temperature', 195., 320., 'potential|air|temperature', 'K', 'YlOrRd'
+tahs, 'tahs', 'potential_air_temperature', 195., 320., 'potential|air|temperature|at|2m', 'K', 'YlOrRd'
+TH2, 'tahs', 'potential_air_temperature', 195., 320., 'potential|air|temperature|at|2m', 'K', 'YlOrRd'
+tas, 'tas', 'air_temperature', 240., 310., 'air|temperature|at|2m', 'K', 'YlOrRd'
+T2, 'tas', 'air_temperature', 240., 310., 'air|temperature|at|2m', 'K', 'YlOrRd'
+t2m, 'tas', 'air_temperature', 240., 310., 'air|temperature|at|2m', 'K', 'YlOrRd'
+T2M, 'tas', 'air_temperature', 240., 310., 'air|temperature|at|2m', 'K', 'YlOrRd'
+Temperature 2m, 'tas', 'air_temperature', 240., 310., 'air|temperature|at|2m', 'K', 'YlOrRd'
+tds, 'tds', 'air_dew_point_temperature', 240., 310., 'air|dew|point|temperature|at|2m', 'K', 'YlGnBu'
+TDS, 'tds', 'air_dew_point_temperature', 240., 310., 'air|dew|point|temperature|at|2m', 'K', 'YlGnBu'
+tke, 'tke', 'turbulent_kinetic_energy', 0., 0.003, 'turbulent|kinetic|energy', 'm2/s2', 'Reds'
+TKE, 'tke', 'turbulent_kinetic_energy', 0., 0.003, 'turbulent|kinetic|energy', 'm2/s2', 'Reds'
+LTKE, 'tke', 'turbulent_kinetic_energy', 0., 0.003, 'turbulent|kinetic|energy', 'm2/s2', 'Reds'
+time, 'time', 'time', 0., 1000., 'time', 'hours|since|1949/12/01|00:00:00', 'Reds'
+time_counter, 'time', 'time', 0., 1000., 'time', 'hours|since|1949/12/01|00:00:00', 'Reds'
+tmla, 'tmla', 'atmosphere_top_boundary_layer_temperature', 250., 330., 'atmosphere|top|boundary|layer|temperature', 'K', 'Reds'
+s_pblt, 'tmla', 'atmosphere_top_boundary_layer_temperature', 250., 330., 'atmosphere|top|boundary|layer|temperature', 'K', 'Reds'
+LS_PBLT, 'tmla', 'atmosphere_top_boundary_layer_temperature', 250., 330., 'atmosphere|top|boundary|layer|temperature', 'K', 'Reds'
+ua, 'ua', 'eastward_wind', -30., 30., 'eastward|wind', 'ms-1', 'seismic'
+vitu, 'ua', 'eastward_wind', -30., 30., 'eastward|wind', 'ms-1', 'seismic'
+U, 'ua', 'eastward_wind', -30., 30., 'eastward|wind', 'ms-1', 'seismic'
+Zonal wind, 'ua', 'eastward_wind', -30., 30., 'eastward|wind', 'ms-1', 'seismic'
+LVITU, 'ua', 'eastward_wind', -30., 30., 'eastward|wind', 'ms-1', 'seismic'
+uas, 'uas', 'eastward_wind', -30., 30., 'eastward|10m|wind', 'ms-1', 'seismic'
+u10m, 'uas', 'eastward_wind', -30., 30., 'eastward|10m|wind', 'ms-1', 'seismic'
+U10, 'uas', 'eastward_wind', -30., 30., 'eastward|10m|wind', 'ms-1', 'seismic'
+Vent zonal 10m, 'uas', 'eastward_wind', -30., 30., 'eastward|10m|wind', 'ms-1', 'seismic'
+va, 'va', 'northward_wind', -30., 30., 'northward|wind', 'ms-1', 'seismic'
+vitv, 'va', 'northward_wind', -30., 30., 'northward|wind', 'ms-1', 'seismic'
+V, 'va', 'northward_wind', -30., 30., 'northward|wind', 'ms-1', 'seismic'
+Meridional wind, 'va', 'northward_wind', -30., 30., 'northward|wind', 'ms-1', 'seismic'
+LVITV, 'va', 'northward_wind', -30., 30., 'northward|wind', 'ms-1', 'seismic'
+vas, 'vas', 'northward_wind', -30., 30., 'northward|10m|wind', 'ms-1', 'seismic'
+v10m, 'vas', 'northward_wind', -30., 30., 'northward|10m|wind', 'ms-1', 'seismic'
+V10, 'vas', 'northward_wind', -30., 30., 'northward|10m|wind', 'ms-1', 'seismic'
+Vent meridien 10m, 'vas', 'northward_wind', -30., 30., 'northward|10m|wind', 'ms-1', 'seismic'
+wakedeltaq, 'wakedeltaq', 'wake_delta_vapor', -0.003, 0.003, 'wake|delta|mixing|ratio', 'kgkg-1s-1', 'seismic'
+wake_deltaq, 'wakedeltaq', 'wake_delta_vapor', -0.003, 0.003, 'wake|delta|mixing|ratio', 'kgkg-1s-1', 'seismic'
+lwake_deltaq, 'wakedeltaq', 'wake_delta_vapor', -0.003, 0.003, 'wake|delta|mixing|ratio', 'kgkg-1s-1', 'seismic'
+LWAKE_DELTAQ, 'wakedeltaq', 'wake_delta_vapor', -0.003, 0.003, 'wake|delta|mixing|ratio', 'kgkg-1s-1', 'seismic'
     elif varn == 'wakedeltat' or varn == 'wake_deltat' or varn == 'lwake_deltat' or  \
       varn == 'LWAKE_DELTAT':